ODFPY 1.2.0 |

Loading...
Searching...
No Matches
Public Member Functions | Static Public Attributes | List of all members
odf.element.CDATASection Class Reference
Inheritance diagram for odf.element.CDATASection:
[legend]
Collaboration diagram for odf.element.CDATASection:
[legend]

## Public Member Functions
| toXml (self, level, f)
| Generate XML output of the node.
Public Member Functions inherited from odf.element.Text
| __init__ (self, data)
| __str__ (self)
| __unicode__ (self)
Public Member Functions inherited from odf.element.Childless
| appendChild (self, node)
| Raises an error.
| hasChildNodes (self)
| insertBefore (self, newChild, refChild)
| Raises an error.
| removeChild (self, oldChild)
| Raises an error.
| replaceChild (self, newChild, oldChild)
| Raises an error.
Public Member Functions inherited from odf.element.Node
| hasChildNodes (self)
| Tells whether this element has any children; text nodes, subelements whatever.
| insertBefore (self, newChild, refChild)
| Inserts the node newChild before the existing child node refChild.
| appendChild (self, newChild)
| Adds the node newChild to the end of the list of children of this node.
| removeChild (self, oldChild)
| Removes the child node indicated by oldChild from the list of children, and returns it.

## Static Public Attributes
| nodeType = Node.CDATA_SECTION_NODE
Static Public Attributes inherited from odf.element.Text
| nodeType = Node.TEXT_NODE
str | tagName = "Text"
Static Public Attributes inherited from odf.element.Childless
| attributes = None
| childNodes = EmptyNodeList()
| firstChild = None
| lastChild = None
Static Public Attributes inherited from odf.element.Node
| parentNode = None
| nextSibling = None
| previousSibling = None
| doc

## Additional Inherited Members
Public Attributes inherited from odf.element.Text
| data
Public Attributes inherited from odf.element.Node
| tagName
| The DOM does not clearly specify what to return in this case.
Protected Member Functions inherited from odf.element.Childless
| _get_firstChild (self)
| _get_lastChild (self)
Protected Member Functions inherited from odf.element.Node
| _get_childNodes (self)
| _get_firstChild (self)
| _get_lastChild (self)

## Detailed Description

Definition at line 344 of file element.py.

## Member Function Documentation

## ◆ toXml()

odf.element.CDATASection.toXml | ( |  | self,
|  |  | level,
|  |  | f
| ) |  |

Generate XML output of the node.

If the text contains "]]>", then escape it by going out of CDATA mode (]]>), then write the string and then go into CDATA mode again. ()

Reimplemented from odf.element.Text.

Definition at line 351 of file element.py.

## Member Data Documentation

## ◆ nodeType

odf.element.CDATASection.nodeType = Node.CDATA_SECTION_NODE
| static

Definition at line 345 of file element.py.

The documentation for this class was generated from the following file:

- odf/element.py